WG14 Part 6 Issues - CIM Issues #5279

Primary crew for WorkTask
01/13/2022 08:40 AM - Herbert Falk

Status: Review
Priority: Normal
Target version:
Author/Contact Info:  Jim Horstman Standard(s): 61968-6
Base Release: CIM 101 Version:
Solution to be CIM 101 Clause:
Applied To:
Solution Version: Edition 4 Sub-Clause:
Solution Applied By: Paragraph:
Completion Date: Table:
CIM Keywords: 61968-Work Originally Closed in
Version:
Breaking Change: No Origination Date: 05/31/2021
Breaking Change Origination ID:
Description:
CIM Impacted WG14 Originally Assigned
Groups: To:
Requestor: jim.horstman
Description

Proposed Solution
Add an association from WorkTask to Crew with a role of Primary Crew and 0..1 cardinality

Decision

Added isPrimary to CrewAssignment class

History

#1 - 04/28/2022 03:34 PM - Jim Horstman

- Status changed from New to Open

#2 - 04/28/2022 03:35 PM - Jim Horstman
- Status changed from Open to Review

- Decision updated

- CIM Impacted Groups WG14 added

- CIM Impacted Groups deleted (WG13)

#3 - 10/16/2023 02:01 PM - Jim Horstman
- Standard(s) set to 61968-6

#4 - 10/16/2023 03:05 PM - Jim Horstman
- Author/Contact Info set to Jim Horstman

- CIM Keywords 61968-Work added

#5 - 10/17/2023 04:20 AM - Henry Dotson
- Base Release set to CIM 101
- Solution to be Applied To set to CIM 101

- Solution Version set to Edition 4
